JACK server fails to start

Bug #1074673 reported by Gabriel Johnson on 2012-11-03
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubuntu-nexus7
Medium
Unassigned
jackd2 (Ubuntu)
Undecided
Unassigned

Bug Description

QjackCtl reports this in its Messages/Status window when I try to start JACK server:

11:10:39.416 Patchbay deactivated.
11:10:39.541 Statistics reset.
11:10:39.564 Could not open ALSA sequencer as a client. ALSA MIDI patchbay will be not available.
ALSA lib seq_hw.c:457:(snd_seq_hw_open) open /dev/snd/seq failed: No such file or directory
AtSpiAdaptor::applicationInterface "/org/a11y/atspi/accessible/root" 0x18da040 "GetApplicationBusAddress"
11:10:46.729 D-BUS: Service is available (org.jackaudio.service aka jackdbus).
Cannot connect to server socket err = No such file or directory
Cannot connect to server request channel
jack server is not running or cannot be started
Registered event listener change listener: true

Matt Fischer (mfisch) wrote :

The issue is that /dev/snd/seq is missing and it's missing because we're missing the snd_seq modules.

Changed in ubuntu-nexus7:
status: New → Confirmed
importance: Undecided → Medium
Matt Fischer (mfisch) on 2012-11-06
Changed in ubuntu-nexus7:
status: Confirmed → In Progress
assignee: nobody → Matt Fischer (mfisch)
Matt Fischer (mfisch) wrote :

I've build the snd_seq and associated modules and if I manually load them then it starts without issue. However, when I try to do anything it attempts to allocate a large chunk of memory (> 80MB) and that allocation fails even after I killed a bunch of processes (mostly scopes). I'll see about getting the modules enabled, but this will require more investigation.

no longer affects: qjackctl
Matt Fischer (mfisch) wrote :

Posting this for future reference:

iff --git a/debian.linaro/config/config.common.ubuntu b/debian.linaro/config/config.common.ubuntu
index 24da4ec..a925245 100644
--- a/debian.linaro/config/config.common.ubuntu
+++ b/debian.linaro/config/config.common.ubuntu
@@ -2196,13 +2196,15 @@ CONFIG_SND_PCM=y
 # CONFIG_SND_PCM_OSS is not set
 # CONFIG_SND_PCXHR is not set
 CONFIG_SND_RAWMIDI=m
-# CONFIG_SND_RAWMIDI_SEQ is not set
+CONFIG_SND_RAWMIDI_SEQ=m
 # CONFIG_SND_RIPTIDE is not set
 # CONFIG_SND_RME32 is not set
 # CONFIG_SND_RME96 is not set
 # CONFIG_SND_RME9652 is not set
 # CONFIG_SND_SBAWE_SEQ is not set
-# CONFIG_SND_SEQUENCER is not set
+CONFIG_SND_SEQUENCER=m
+# CONFIG_SND_SEQUENCER_OSS is not set
+CONFIG_SND_SEQ_DUMMY=m
 # CONFIG_SND_SERIAL_U16550 is not set
 CONFIG_SND_SOC=y
 # CONFIG_SND_SOC_ALL_CODECS is not set
@@ -2237,6 +2239,7 @@ CONFIG_SND_USB_AUDIO=m
 CONFIG_SND_VERBOSE_PROCFS=y
 # CONFIG_SND_VIA82XX is not set
 # CONFIG_SND_VIA82XX_MODEM is not set
+CONFIG_SND_VIRMIDI=m
 # CONFIG_SND_VIRTUOSO is not set
 # CONFIG_SND_VX222 is not set
 # CONFIG_SND_YMFPCI is not set

Matt Fischer (mfisch) on 2012-11-13
Changed in ubuntu-nexus7:
status: In Progress → Triaged
assignee: Matt Fischer (mfisch) → nobody
tags: added: nexus7-kernel
David Henningsson (diwic) wrote :

This is unlikely related to the kernel. When trying to launch "jackd2 -v -dalsa" it fails with a SIGBUS error. With verbose messages on, the last message printed is:

Jack: JackEngine::NotifyAddClient: name = system

Working on getting a usable stack trace.

David Henningsson (diwic) wrote :

Gaah, it seems like jackd2 FTBFS both on arm and amd64:

[262/265] cprogram: build/example-clients/server_control.cpp.2.o -> build/example-clients/jack_server_control
15:10:53 runner ['/usr/bin/gcc', 'example-clients/server_control.cpp.2.o', '-o', '/home/david/jackd2/jackd2-1.9.8~dfsg.4+20121110git67ac4440/build/example-clients/jack_server_control', '-Wl,-Bstatic', '-Wl,-Bdynamic', '-Lcommon', '-ljackserver', '-lpthread', '-lrt', '-ldl', '-lm']
/usr/bin/ld: example-clients/server_control.cpp.2.o: undefined reference to symbol '__cxa_end_cleanup@@CXXABI_1.3'
/usr/bin/ld: note: '__cxa_end_cleanup@@CXXABI_1.3' is defined in DSO /usr/lib/arm-linux-gnueabihf/libstdc++.so.6 so try adding it to the linker command line
/usr/lib/arm-linux-gnueabihf/libstdc++.so.6: could not read symbols: Invalid operation
collect2: error: ld returned 1 exit status

There is a missing -lstdc++ in the gcc line above but I can't figure out how to add it...

David Henningsson (diwic) wrote :

Program received signal SIGBUS, Bus error.
0x4018ed7e in CAS ()
   from /usr/lib/arm-linux-gnueabihf/libjackserver.so.0
(gdb) bt
#0 0x4018ed7e in CAS ()
   from /usr/lib/arm-linux-gnueabihf/libjackserver.so.0
#1 0x40190f86 in Jack::JackAtomicState<Jack::JackConnectionManager>::WriteNextStateStartAux() ()
   from /usr/lib/arm-linux-gnueabihf/libjackserver.so.0
#2 0x40190d92 in Jack::JackAtomicState<Jack::JackConnectionManager>::WriteNextStateStart() ()
   from /usr/lib/arm-linux-gnueabihf/libjackserver.so.0
#3 0x4018f07c in Jack::JackGraphManager::InitRefNum(int) ()
   from /usr/lib/arm-linux-gnueabihf/libjackserver.so.0
#4 0x401ab356 in Jack::JackEngine::ClientInternalOpen(char const*, int*, Jack::JackEngineControl**, Jack::JackGraphManager**, Jack::JackClientInterface*, bool) ()
   from /usr/lib/arm-linux-gnueabihf/libjackserver.so.0
#5 0x401a8bf0 in Jack::JackLockedEngine::ClientInternalOpen(char const*, int*, Jack::JackEngineControl**, Jack::JackGraphManager**, Jack::JackClientInterface*, bool) ()
   from /usr/lib/arm-linux-gnueabihf/libjackserver.so.0
#6 0x401a7686 in Jack::JackDriver::Open(unsigned int, unsigned int, bool, bool, int, int, bool, char const*, char const*, unsigned int, unsigned int) ()
   from /usr/lib/arm-linux-gnueabihf/libjackserver.so.0
#7 0x401a4d2a in Jack::JackAudioDriver::Open(unsigned int, unsigned int, bool, bool, int, int, bool, char const*, char const*, unsigned int, unsigned int) ()
   from /usr/lib/arm-linux-gnueabihf/libjackserver.so.0
#8 0x40e761d4 in Jack::JackAlsaDriver::Open(unsigned int, unsigned int, unsigned int, bool, bool, bool, bool, DitherAlgorithm, bool, bool, int, int, bool, char const*, char const*, unsigned int, unsigned int, char const*) ()
   from /usr/lib/arm-linux-gnueabihf/jack/jack_alsa.so
#9 0x40e779c0 in driver_initialize ()
   from /usr/lib/arm-linux-gnueabihf/jack/jack_alsa.so
#10 0x401b50ca in JackDriverInfo::Open(jack_driver_desc_t*, Jack::JackLockedEngine*, Jack::JackPosixSemaphore*, _JSList const*)
    () from /usr/lib/arm-linux-gnueabihf/libjackserver.so.0
#11 0x401b0e50 in Jack::JackServer::Open(jack_driver_desc_t*, _JSList*) () from /usr/lib/arm-linux-gnueabihf/libjackserver.so.0
#12 0x401ba18a in jackctl_server_open ()
   from /usr/lib/arm-linux-gnueabihf/libjackserver.so.0
#13 0x0000af26 in main ()
ihf/libjackse=

David Henningsson (diwic) wrote :
Benjamin Drung (bdrung) wrote :

Thanks for the patch. I have synced 1.9.9.5+20130127git15950eb1-1 instead (which contains both fixes).

Changed in jackd2 (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers